| Talking Reminder this project is intenfed for people who are not tech savvy

Public Member Functions | List of all members
com.sudogeeks.talking_reminder.AlarmReceiver Class Reference

A class implementing basic alarm functions This class includes very basic features for an alarm. More...

Inheritance diagram for com.sudogeeks.talking_reminder.AlarmReceiver:

## Public Member Functions
void | onReceive (Context context, Intent intent)
void | setAlarm (Context context, Calendar calendar, int ID)
void | setRepeatAlarm (Context context, Calendar calendar, int ID, long RepeatTime)
void | cancelAlarm (Context context, int ID)

## Detailed Description

A class implementing basic alarm functions This class includes very basic features for an alarm.

Definition at line 21 of file AlarmReceiver.java.

## Member Function Documentation

## ◆ cancelAlarm()

void com.sudogeeks.talking_reminder.AlarmReceiver.cancelAlarm | ( | Context | context,
|  | int | ID
| ) |  |

Method for cancelling an alarm

Parameters

  context |
  ID | Id of the alarm to cancel

Definition at line 139 of file AlarmReceiver.java.

## ◆ onReceive()

void com.sudogeeks.talking_reminder.AlarmReceiver.onReceive | ( | Context | context,
|  | Intent | intent
| ) |  |

Notifies user at the time of alarm

Parameters

  context |
  intent |

Returns
  void

Definition at line 33 of file AlarmReceiver.java.

## ◆ setAlarm()

void com.sudogeeks.talking_reminder.AlarmReceiver.setAlarm | ( | Context | context,
|  | Calendar | calendar,
|  | int | ID
| ) |  |

Method for setting an alarm

Parameters

  context |
  calendar | Calendar instance encapsulating date and time of alarm
  ID | Id of the alarm

Returns
  void

Definition at line 73 of file AlarmReceiver.java.

## ◆ setRepeatAlarm()

void com.sudogeeks.talking_reminder.AlarmReceiver.setRepeatAlarm | ( | Context | context,
|  | Calendar | calendar,
|  | int | ID,
|  | long | RepeatTime
| ) |  |

Method for setting repeating alarm

Parameters

  context |
  calendar | Calendar instance encapsulating date and time of alarm
  ID | Id of the alarm
  RepeatTime | repeat time of alaram

Definition at line 107 of file AlarmReceiver.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/AlarmReceiver.java